Bug 1567305 - [abrt] parole: XKeysymToKeycode(): parole killed by SIGSEGV
Summary: [abrt] parole: XKeysymToKeycode(): parole killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: parole
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:166f9e5480b411a6e2486fcd724...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 18:56 UTC by Denis
Modified: 2018-11-30 20:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:59:29 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.57 KB, text/plain)
2018-04-13 18:56 UTC, Denis
no flags Details
File: cgroup (321 bytes, text/plain)
2018-04-13 18:56 UTC, Denis
no flags Details
File: core_backtrace (10.50 KB, text/plain)
2018-04-13 18:56 UTC, Denis
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2018-04-13 18:56 UTC, Denis
no flags Details
File: dso_list (9.15 KB, text/plain)
2018-04-13 18:56 UTC, Denis
no flags Details
File: environ (1.47 KB, text/plain)
2018-04-13 18:56 UTC, Denis
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-13 18:56 UTC, Denis
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-13 18:56 UTC, Denis
no flags Details
File: maps (41.99 KB, text/plain)
2018-04-13 18:56 UTC, Denis
no flags Details
File: mountinfo (3.54 KB, text/plain)
2018-04-13 18:56 UTC, Denis
no flags Details
File: open_fds (984 bytes, text/plain)
2018-04-13 18:56 UTC, Denis
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-04-13 18:56 UTC, Denis
no flags Details

Description Denis 2018-04-13 18:56:27 UTC
Description of problem:
Run from terminal: parole

Version-Release number of selected component:
parole-0.9.2-3.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        parole /run/media/puu/Seagate Backup Plus Drive/filmi/Jack.Reacher.2012.HDRip.AVO.avi
crash_function: XKeysymToKeycode
executable:     /usr/bin/parole
journald_cursor: s=c4296c3baf5747c8a63707e1e1ac11de;i=290b;b=58fe8d03b3314c6b85c9acdfc85aaef0;m=33fbcef22;t=569bf5e9470ff;x=99ecec7a2627c90f
kernel:         4.15.15-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XKeysymToKeycode at XKBBind.c:157
 #1 parole_button_xevent_key at parole-button.c:189
 #2 parole_button_setup at parole-button.c:220
 #3 parole_button_init at parole-button.c:266
 #4 g_type_create_instance at gtype.c:1866
 #5 g_object_new_internal at gobject.c:1797
 #6 g_object_new_with_properties at gobject.c:1965
 #8 parole_button_new at parole-button.c:289
 #9 parole_player_init at parole-player.c:3142
 #10 g_type_create_instance at gtype.c:1866

Comment 1 Denis 2018-04-13 18:56:34 UTC
Created attachment 1421532 [details]
File: backtrace

Comment 2 Denis 2018-04-13 18:56:35 UTC
Created attachment 1421533 [details]
File: cgroup

Comment 3 Denis 2018-04-13 18:56:37 UTC
Created attachment 1421535 [details]
File: core_backtrace

Comment 4 Denis 2018-04-13 18:56:39 UTC
Created attachment 1421537 [details]
File: cpuinfo

Comment 5 Denis 2018-04-13 18:56:41 UTC
Created attachment 1421540 [details]
File: dso_list

Comment 6 Denis 2018-04-13 18:56:42 UTC
Created attachment 1421541 [details]
File: environ

Comment 7 Denis 2018-04-13 18:56:44 UTC
Created attachment 1421542 [details]
File: exploitable

Comment 8 Denis 2018-04-13 18:56:46 UTC
Created attachment 1421543 [details]
File: limits

Comment 9 Denis 2018-04-13 18:56:48 UTC
Created attachment 1421544 [details]
File: maps

Comment 10 Denis 2018-04-13 18:56:50 UTC
Created attachment 1421545 [details]
File: mountinfo

Comment 11 Denis 2018-04-13 18:56:51 UTC
Created attachment 1421546 [details]
File: open_fds

Comment 12 Denis 2018-04-13 18:56:53 UTC
Created attachment 1421547 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2018-11-27 16:11:44 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 20:59:29 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.